import type { UUISelectElement } from '../../../external/uui/index.js';
import { UmbLitElement } from '../lit-element/index.js';
declare const UmbInputObjectTypeElement_base: (new (...args: any[]) => import("@umbraco-ui/uui-base").UUIFormControlMixinElement<FormDataEntryValue | FormData>) & typeof UmbLitElement;
export declare class UmbInputObjectTypeElement extends UmbInputObjectTypeElement_base {
    #private;
    private _select;
    set value(value: UUISelectElement['value']);
    get value(): UUISelectElement['value'];
    private _options;
    constructor();
    protected getFormElement(): undefined;
    render(): import("lit-html").TemplateResult<1>;
    static styles: never[];
}
export default UmbInputObjectTypeElement;
declare global {
    interface HTMLElementTagNameMap {
        'umb-input-object-type': UmbInputObjectTypeElement;
    }
}
